/********************************************************************************
*
* LoRa    : ES920LR3
* TX Button ON
*
********************************************************************************/

// ####################################################################
// 機種と構成に合わせて2ヶ所の先頭の // を削除してください。

// 1. GROVE
// #define LoRa_VIA_GROVE // LoRa UNIT
// #define No_VIA_GROVE   // No UNIT

// 2. 機種
// #define M5Core        // M5Stack Core
// #define M5Core2       // M5Stack Core2
// #define M5StickC      // M5StickC
// #define M5StickCPlus  // M5StickC Plus
// #define M5StickCPlus2 // M5StickC Plus2
// #define M5Atom        // M5Stack ATOM
// #define M5AtomS3      // M5Stack ATOM S3
// #define M5Capsule     // M5Stack Capsule

// ############################################################################################


#if defined M5StickCPlus | defined M5StickCPlus2
  #define Btn BtnA
  #ifdef LoRa_VIA_GROVE
    #define RX_pin 33    // LoRa UNIT via GROVE
    #define TX_pin 32    // LoRa UNIT via GROVE
    #define RESET_pin -1 // No RESET Pin
    #define BOOT_pin -1  // No Boot Pin
  #else
    #define RX_pin 26    // LoRa HAT
    #define TX_pin 0     // LoRa HAT
    #define RESET_pin -1 // No RESET Pin
    #define BOOT_pin -1  // No Boot Pin
  #endif
#elif defined M5StickC
  #define Btn BtnA
  #ifdef LoRa_VIA_GROVE
    #define RX_pin 33    // LoRa UNIT via GROVE
    #define TX_pin 32    // LoRa UNIT via GROVE
    #define RESET_pin -1 // No RESET Pin
    #define BOOT_pin -1  // No Boot Pin
  #else
    #define RX_pin 26    // LoRa HAT
    #define TX_pin 0     // LoRa HAT
    #define RESET_pin -1 // No RESET Pin
    #define BOOT_pin -1  // No Boot Pin
  #endif
#elif defined M5AtomS3
  #define Btn BtnA
  #ifdef LoRa_VIA_GROVE
    #define RX_pin 1     // LoRa UNIT via GROVE
    #define TX_pin 2     // LoRa UNIT via GROVE
    #define RESET_pin -1 // No RESET Pin
    #define BOOT_pin -1  // No Boot Pin
  #else
    #define RX_pin 5     // LoRa KIT
    #define TX_pin 6     // LoRa KIT
    #define RESET_pin 7  // LoRa KIT
    #define BOOT_pin 39  // LoRa KIT
  #endif
#elif defined M5Atom
  #define Btn BtnA
  #ifdef LoRa_VIA_GROVE
    #define RX_pin 32    // LoRa UNIT via GROVE
    #define TX_pin 26    // LoRa UNIT via GROVE
    #define RESET_pin -1 // No RESET Pin
    #define BOOT_pin -1  // No Boot Pin
  #else
    #define RX_pin 22    // LoRa KIT
    #define TX_pin 19    // LoRa KIT
    #define RESET_pin 23 // LoRa KIT
    #define BOOT_pin 21  // LoRa KIT
  #endif
#elif defined M5Core
  #define Btn BtnA
  #ifdef LoRa_VIA_GROVE
    #define RX_pin 22    // LoRa UNIT via GROVE
    #define TX_pin 21    // LoRa UNIT via GROVE
    #define RESET_pin -1 // No RESET Pin
    #define BOOT_pin -1  // No Boot Pin
  #else
    #define RX_pin 16    // stack LoRa MODULE
    #define TX_pin 17    // stack LoRa MODULE
    #define RESET_pin 13 // stack LoRa MODULE
    #define BOOT_pin 22  // stack LoRa MODULE
  #endif
#elif defined M5Core2
  #ifdef LoRa_VIA_GROVE
    #define RX_pin 33    // LoRa UNIT via GROVE
    #define TX_pin 32    // LoRa UNIT via GROVE
    #define RESET_pin -1 // No RESET Pin
    #define BOOT_pin -1  // No Boot Pin
  #else
    #define RX_pin 13    // stack LoRa MODULE
    #define TX_pin 14    // stack LoRa MODULE
    #define RESET_pin 19 // stack LoRa MODULE
    #define BOOT_pin 22  // stack LoRa MODULE
  #endif
#elif defined M5Capsule
  #define Btn BtnA
  #ifdef LoRa_VIA_GROVE
    #define RX_pin 15    // LoRa UNIT via GROVE
    #define TX_pin 13    // LoRa UNIT via GROVE
    #define RESET_pin -1 // No RESET Pin
    #define BOOT_pin -1  // No Boot Pin
  #else
    #define RX_pin 44    // LoRa board
    #define TX_pin 43    // LoRa board
    #define RESET_pin 0  // LoRa board
    #define BOOT_pin 1   // LoRa board
  #endif
#endif


#include <M5Unified.h>
#include "LoRa.h"

void setup() {
  M5.begin();
  LoRaInit(RX_pin, TX_pin, RESET_pin, BOOT_pin);
}

void loop() {
  M5.update();
  if (M5.Btn.wasPressed()) {
    LoRaCommand("Button ON");
    delay(2000);
  }
}
